/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-25-2011 07:40:08pm
Filepath: scripts\Items\Artifacts\Gauntlet\HolyKnightsCloak.cs
Lines of code: 36

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HolyKnightsCloak : FurCape
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public HolyKnightsCloak()
		{
			Name = "Holy Knight's Cloak";
			ItemID=5397;
			Hue = 0x47E;
			Attributes.BonusHits = 20;
		}


		public HolyKnightsCloak( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=1)
			{
				ItemID=5397;	
				Attributes.BonusHits = 20;
			}
			
		}
	}
}